umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
Uml::CmdCreateUMLObject Class Reference

`#include <cmdcreateumlobject.h>`

Inheritance diagram for Uml::CmdCreateUMLObject:

## Public Member Functions
| CmdCreateUMLObject (UMLObject *o)
| ~CmdCreateUMLObject ()
void | redo ()
void | undo ()

## Private Attributes
UMLObject * | m_obj
UMLPackage * | m_package
UMLObject::ObjectType | m_type
QString | m_name
bool | m_skipSignal

## Constructor & Destructor Documentation

## ◆ CmdCreateUMLObject()

Uml::CmdCreateUMLObject::CmdCreateUMLObject | ( | UMLObject * | o | ) |
| explicit

Constructor.

## ◆ ~CmdCreateUMLObject()

Uml::CmdCreateUMLObject::~CmdCreateUMLObject | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ redo()

void Uml::CmdCreateUMLObject::redo | ( |  | ) |

Create the UMLObject.

## ◆ undo()

void Uml::CmdCreateUMLObject::undo | ( |  | ) |

Suppress the UMLObject.

## Member Data Documentation

## ◆ m_name

QString Uml::CmdCreateUMLObject::m_name
| private

## ◆ m_obj

UMLObject* Uml::CmdCreateUMLObject::m_obj
| private

## ◆ m_package

UMLPackage* Uml::CmdCreateUMLObject::m_package
| private

## ◆ m_skipSignal

bool Uml::CmdCreateUMLObject::m_skipSignal
| private

## ◆ m_type

UMLObject::ObjectType Uml::CmdCreateUMLObject::m_type
| private

The documentation for this class was generated from the following files:

- umbrello/cmds/generic/cmdcreateumlobject.h
- umbrello/cmds/generic/cmdcreateumlobject.cpp